//-----------------------------------------------------------------------------
// config.m
//
// handles functions of the config panel 
//
// by iPlayTheSpoons
//
//-----------------------------------------------------------------------------

#include "../../../lib/std.mi"

Function SwitchBars();

Global Button ChooseBar;
Global Group t11,t12,t13,t14,t15,t16;
Global Group t21,t22,t23,t24,t25,t26;
Global Button t17,t27;
Global Timer SwitchTimer;

System.onScriptLoaded() { 

	Container main = system.getContainer("main");
	Container eq = system.getContainer("eq");
	Container pl = system.getContainer("pledit");
	
	Layout l1 = main.getLayout("normal");
	Layout l2 = main.getLayout("stick");
	Layout l3 = eq.getLayout("normal");
	Layout l4 = eq.getLayout("stick");
	Layout l5 = pl.getLayout("stick");
	Layout l6 = pl.getLayout("normal");
		
	t11 = l1.getObject("main.titlebar.1");
	t12 = l2.getObject("stick.titlebar.1");
	t13 = l2.getObject("stick.cbuttons.1");
	t14 = l3.getObject("eq.titlebar.1");
	t15 = l4.getObject("eq.stick.titlebar.1");
	t16 = l5.getObject("pl.stick.1");
	t17 = l6.getObject("shade");
	
	t21 = l1.getObject("main.titlebar.2");
	t22 = l2.getObject("stick.titlebar.2");
	t23 = l2.getObject("stick.cbuttons.2");
	t24 = l3.getObject("eq.titlebar.2");
	t25 = l4.getObject("eq.stick.titlebar.2");
	t26 = l5.getObject("pl.stick.2");
	t27 = l6.getObject("shade2");
	
	SwitchTimer = new Timer;
	SwitchTimer.setDelay(1200);
	SwitchTimer.start();
	
	SwitchBars();
		
}

System.onScriptUnloading(){
	delete SwitchTimer;
}

SwitchTimer.onTimer() {
	SwitchBars();
}



SwitchBars() {
	String Preset = getPrivateString("Classix10k","Mod","No Mod");
	if (Preset == "No Mod") {
		t11.show();
		t12.show();
		t13.show();
		t14.show();
		t15.show();
		t16.show();
		t17.show();
		
		t21.hide();
		t22.hide();
		t23.hide();
		t24.hide();
		t25.hide();
		t26.hide();
		t27.hide();
		
	}
	if (Preset == "Bant's Mod") {
		t11.hide();
		t12.hide();
		t13.hide();
		t14.hide();
		t15.hide();
		t16.hide();
		t17.hide();
		
		t21.show();
		t22.show();
		t23.show();
		t24.show();
		t25.show();
		t26.show();
		t27.show();
		
	}
	
}